ServerObjectMBean (Apache Geode 1.7.0)
Date: 2018-09-27

org.apache.geode.tools.pulse.tests

## Interface ServerObjectMBean

- All Known Implementing Classes:
    ServerObject

      public interface ServerObjectMBean

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `OBJECT_NAME`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getAverageReads()`
    `double` | `getAverageWrites()`
    `int` | `getCurrentQueryCount()`
    `double` | `getDiskReadsRate()`
    `double` | `getDiskWritesRate()`
    `int` | `getDistributedSystemId()`
    `long` | `getJVMPauses()`
    `int` | `getLocatorCount()`
    `long` | `getMaxMemory()`
    `int` | `getMemberCount()`
    `int` | `getNumClients()`
    `int` | `getNumRunningFunctions()`
    `int` | `getNumSubscriptions()`
    `double` | `getQueryRequestRate()`
    `long` | `getRegisteredCQCount()`
    `long` | `getTotalDiskUsage()`
    `long` | `getTotalHeapSize()`
    `int` | `getTotalRegionCount()`
    `long` | `getTotalRegionEntryCount()`
    `int` | `getTransactionCommitted()`
    `int` | `getTransactionRolledBack()`
    `long` | `getUsedHeapSize()`
    `long` | `getUsedMemory()`
    `java.lang.String[]` | `listCacheServers()`
    `java.lang.String[]` | `listServers()`
    `java.lang.String` | `queryData(java.lang.String p0, java.lang.String p1, int p2)`
    `javax.management.openmbean.TabularData` | `viewRemoteClusterStatus()`

- - ### Field Detail

    - #### OBJECT_NAME

          static final java.lang.String OBJECT_NAME

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### viewRemoteClusterStatus

          javax.management.openmbean.TabularData viewRemoteClusterStatus()

    - #### getMemberCount

          int getMemberCount()

    - #### getNumClients

          int getNumClients()

    - #### getDistributedSystemId

          int getDistributedSystemId()

    - #### getLocatorCount

          int getLocatorCount()

    - #### getTotalRegionCount

          int getTotalRegionCount()

    - #### getNumRunningFunctions

          int getNumRunningFunctions()

    - #### getRegisteredCQCount

          long getRegisteredCQCount()

    - #### getNumSubscriptions

          int getNumSubscriptions()

    - #### getTransactionCommitted

          int getTransactionCommitted()

    - #### getTransactionRolledBack

          int getTransactionRolledBack()

    - #### getTotalHeapSize

          long getTotalHeapSize()

    - #### getUsedHeapSize

          long getUsedHeapSize()

    - #### getMaxMemory

          long getMaxMemory()

    - #### getUsedMemory

          long getUsedMemory()

    - #### getTotalRegionEntryCount

          long getTotalRegionEntryCount()

    - #### getCurrentQueryCount

          int getCurrentQueryCount()

    - #### getTotalDiskUsage

          long getTotalDiskUsage()

    - #### getDiskWritesRate

          double getDiskWritesRate()

    - #### getAverageWrites

          double getAverageWrites()

    - #### getAverageReads

          double getAverageReads()

    - #### getQueryRequestRate

          double getQueryRequestRate()

    - #### getDiskReadsRate

          double getDiskReadsRate()

    - #### getJVMPauses

          long getJVMPauses()

    - #### listCacheServers

          java.lang.String[] listCacheServers()

    - #### listServers

          java.lang.String[] listServers()

    - #### queryData

          java.lang.String queryData(java.lang.String p0,
                                     java.lang.String p1,
                                     int p2)